Page MenuHomePhabricator

[Statepoints] Update DAG root after emitting statepoint.
ClosedPublic

Authored by dantrushin on Sep 7 2020, 11:22 AM.

Details

Summary

Since we always generate CopyToRegs for statepoint results,
we must update DAG root after emitting statepoint, so that
these copies are scheduled before any possible local uses.
Note: getControlRoot() flushes all PendingExports, not only
those we generates for relocates. If that'll become a problem,
we can change it to flushing relocate exports only.

Diff Detail

Event Timeline

dantrushin created this revision.Sep 7 2020, 11:22 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 7 2020, 11:22 AM
dantrushin requested review of this revision.Sep 7 2020, 11:22 AM
reames accepted this revision.Sep 8 2020, 2:05 PM

LGTM

This revision is now accepted and ready to land.Sep 8 2020, 2:05 PM
This revision was landed with ongoing or failed builds.Sep 9 2020, 6:22 AM
This revision was automatically updated to reflect the committed changes.